@font-face {
    font-family: 'co-headline';
    src: url('../AdobeCoHeadlineFont/CoHeadlineBold.ttf') format('truetype');
    font-weight: 600;
}

html{
    scroll-behavior: smooth;
    overflow-x: hidden;
}

body{
    overflow-x: hidden;
}

.pageHolder{
    background-color: #fdfdfd;
    overflow-x: hidden;
}

.mediaIcon{
    width: 25px;
}

.socialMedia{
    text-align: center;
    padding-top: 1em;
}

ul{
    list-style-type: none;
}

.menuElements li{
    float: left;
    margin-right: 2em;
    padding: 1em 0;
}

.menuFooter li{
    margin: 0em 0em .5em .5em;
    width: fit-content;
}

.menuFooter li:hover{
    scale: 1.05;
    transition: 300ms;
}

.menuFooter li::before{
    content: "|";
    position: absolute;
    transform: translate(-10px, -2px);
}

.menuElements li::after{
    content: "|";
    position: absolute;
    transform: translate(15px, -2px);
    pointer-events: none;
}

.menuElements li:last-child::after{
    content: "";
    pointer-events: none;
}

.pageHeader{
    font-family: co-headline, sans-serif;
    font-style: normal;
    font-weight: 700;
    margin: .5em 0em;
}

.pageHeaderCategory{
    font-family: co-headline, sans-serif;
    font-style: normal;
    font-weight: 700;
    color: #c3c3c3;
    font-size: 22px;
}

.menuElements .menuLink{
    outline: none;
    text-decoration: none;
    color: #151924;
    font-size: medium;
}

.menuFooter .menuLink{
    outline: none;
    text-decoration: none;
    color: #fdfdfd;
    font-size: medium;
}

.menuElements .menuLink:hover, .menuElements .menuLink:focus {
	color: #19a0dc;
    display: inline-block;
    transition: 300ms;
    transform: translateY(-2px);
}

.menuHolder{
    box-shadow: 0 0 10px #cacbcc;
    position: sticky;
    z-index: 99;
    top: 0;
    background-color: #fdfdfd;
}

.logo{
    padding: 1em 0 0 1em;
}

.searchHolder{
    text-align: center;
    padding-top: .5em;
}

.searchBar{
    width: 80%;
    padding: .3em .8em;
    border-radius: 2em;
    border: 1px solid black;
    display: flex;
    margin: auto;
}

.searchInput{
    border: none;
    width: 85%;
    outline: none;
    background-color: rgba(0, 0, 0, 0);
}

.searchIcon{
    width: 20px;
    height: 20px;
    transform: translateY(20%);
    margin-right: 5px;
}

.formInputs{
    width: 100%;
    border-radius: 1em;
    border: 1px solid #9D9D9D;
    margin: .2em 0;
    padding: .3em .7em;
    outline: none;
    background-color: rgba(0, 0, 0, 0);
}

.formHolder{
    text-align: right;
}

.textareaInput{
    height: 8em;
}

.submitButton{
    padding: 12px 24px;
    background-color: #19a0dc;
    color: #f6f6f6;
    border-radius: 2em;
    border: 0px solid #1d1c26;
    margin: 1em auto;
    width: fit-content;
    cursor: pointer;
}

.submitButton:hover{
    background-color: #0098d7;
    scale: 1.05;
    transition: 500ms;
}

.goIcon{
    width: 20px;
    rotate: -90deg;
    transform: translate(10%, 10%);
}

.searchButton{
    border-radius: 50%;
    border: none;
    background-color: #0098d7;
    color: #f6f6f6;
    transform: translateX(10%);
}

.footer{
    background-color: #0098d7;
    color: #fdfdfd;
    background-image: url(../../icons/mini-logo.svg);
    background-size: 35%;
    background-repeat: no-repeat;
}

.menuFooter{
    padding: 0;
    color: #fdfdfd;
}

.footerHeader{
    margin: 1em 0;
    font-family: co-headline, sans-serif;
    font-style: normal;
}

.additionalNotes{
    padding: 0 .8em;
}

.currentContent{
    padding: 2em 1em 1em;
}

.cardsHolder{
    padding: .5em 0em;
    display: flex;
    align-content: center;
    align-items: center;
}

.archiveContent{
    background-color: #ecfbff;
}

.contactContent{
    padding: 1em 1em;
}

.swipeBtn{
    height: 60px;
    aspect-ratio: 1/1;
    cursor: pointer;
}

.cardLimiter{
    width: 90%;
    overflow-x: hidden;
    margin: auto;
}

.movingSlider{
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    gap: 2em;
    padding: 1em;
    transition: transform 0.5s ease-in-out;
    align-items: center;
}

.currentEventCard{
    position: relative;
    display: block;
    border-radius: 1em;
    box-shadow: 0 0 6px #353A4D;
    cursor: pointer;
    width: 31.6%;
    flex-shrink: 0;
    box-sizing: border-box;
    height: 400px;
    background-color: #fdfdfd;
    aspect-ratio: 3/4;
    flex-grow: inherit;
}

.currentEventCard:hover{
    scale: 1.02;
    transition: 300ms;
}

.archivedCard{
    position: relative;
    display: block;
    border-radius: 1em;
    box-shadow: 0 0 6px #353A4D;
    cursor: pointer;
    flex: calc(25% - 2em);
    height: 330px;
    background-color: #fdfdfd;
    flex-grow: inherit;
}

.relatedCard{
    position: relative;
    display: block;
    border-radius: 1em;
    box-shadow: 0 0 6px #353A4D;
    cursor: pointer;
    flex: calc(35% - 2em);
    height: 330px;
    background-color: #fdfdfd;
    flex-grow: inherit;
}

.photoHolder, .relatedPhotoHolder{
    height: 45%;
    overflow: hidden;
}

.archivedPhotoHolder{
    max-height: 50%;
    overflow: hidden;
}

.archivedContentHolder{
    height: 50%;
    margin: 0 1em;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.cardPhoto, .relatedCardPhoto, .archiveCardPhoto{
    width: 100%;
    border-radius: 1em 1em 0 0;
}

.cardDate{
    color: #a6a6a6;
}

.contentHolder{
    color: #1d1c26;
    background-color: #fdfdfd;
    padding: .5em 1.5em 1em 1.5em;
    text-align: left;
    border-radius: 0 0 2em 2em;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 55%;
}

.currentCards{
    text-align: center;
    margin: 0;
}

.map{
    width: 100%;
    border: 1px solid #9D9D9D;
    border-radius: 2em;
    outline: none;
}

.mainContentHolder{
    padding: 2em 0;
}

.articleContent{
    box-shadow: 0 0 10px lightgrey;
    display: flex;
    flex-direction: column;
    padding: 0;
}

.posterDiv{
    max-height: 400px;
    overflow: hidden;
}

.poster{
    width: 100%;
    transform: translateY(-22%);
}

.categoriesDiv{
    padding: 2em 2em 0 2em;
}

.mainDataDiv{
    padding: 0 2em;
}

p{
    line-height: 1.3;
}

.galleryLimiter{
    width: 80%;
    margin: auto;
    overflow: hidden;
}

.galleryHolder{
    display: flex;
    flex-direction: row;
    padding: 2em;
    align-items: center;
}

.gallerySlides{
    display: flex;
    flex-direction: row;
    position: relative;
    flex-wrap: nowrap;
    gap: 1em;
    align-items: center;
    transition: transform 0.5s ease-in-out;
}

.galleryPhotoHolder{
    flex: 31.5%;
    flex-shrink: 0;
    box-sizing: border-box;
}

.singlePhotoFromGallery{
    width: 100%;
}

.foundatorsDiv{
    padding: 1em 2em;
}

.singleFoundatorHolder{
    display: flex;
    flex-direction: row;
    align-items: center;
}

.foundatorLogo{
    height: 70px;
    margin: 1em 1em 1em 0;
}

.rowForFoundators{
    display: flex;
    flex-wrap: wrap;
}

.formDiv{
    padding: 1em 2em;
}

.relatedArticlesDiv{
    padding: 1em 2em;
}

.relatedArticlesHolder{
    display: flex;
    flex-wrap: wrap;
    gap: 1em;
}

.numberSlider{
    width: fit-content;
    display: flex;
    align-self: center;
    flex-direction: column;
    margin-bottom: 1em;
}

.rangeSlider{
    transition: 500ms;
}

.offerSlider{
    font-size: 60px;
    cursor: pointer;
    color: lightgrey;
    margin: auto .2em;
}

.insidesNumbers{
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.offerContent{
    display: flex;
    flex-direction: column;
    padding: 0;
}

.divsHolder{
    width: 80%;
    display: flex;
    flex-direction: row;
    margin: 2em 0;
    opacity: 1;
    transition: opacity 300ms ease;
}

.leftDetailsDiv, .rightDetailsDiv{
    width: 50%;
}

.missingHeader{
    color: #19a0dc;
    margin: auto;
    font-weight: 600;
    text-align: center;
}

.offerPhoto{
    width: 85%;
    margin: auto;
    border-radius: 1em;
}

.offerPhotoHolder{
    display: flex;
}

.mainIconHolder{
    display: flex;
    flex-wrap: wrap;
    gap: .5em 2em;
    width: 90%;
    margin-top: 2em;
    justify-content: center;
}

.iconHolder{
    display: flex;
    flex-direction: column;
    flex: calc(25% - 1em);
    padding: 1em;
    text-align: center;
    flex-grow: 0;
}

.iconImage{
    height: 60px;
}

.archivedArticlesHolder{
    display: flex;
    flex-wrap: wrap;
    gap: 2.6em;
    margin-bottom: 2em;
    padding: 0 2em;
}

.partnersHolder{
    color: #1e1e2d;
    display: flex;
    flex-direction: column;
    padding: 2em;
}

.singlePartnerHolder{
    display: flex;
    flex-direction: row;
    border: 1px solid #cacbcc;
    border-radius: 1em;
    width: 80%;
    margin: 0 auto 1em;
    box-shadow: 0 0 10px #ccc;
    cursor: pointer;
}

.singlePartnerHolder:hover{
    scale: 1.02;
    transition: 500ms ease-in-out;
    box-shadow: 0 0 15px #eee;
}
   
.partnerLogoHolder{
    width: 30%;
    border-right: 1px solid #cacbcc;
    display: flex;
    justify-content: center;
}
   
.partnerDataHolder{
    display: flex;
    flex-direction: column;
    padding: 1em;
    width: 70%;
    justify-content: space-between;
}

.partnerLogo{
    width: 100%;
    margin: auto;
    display: flex;
    border-radius: 1em 0 0 1em;
    aspect-ratio: 5/3;
}

.additionalInfo{
    color: #a6a6a6;
    font-size: 12px;
    text-align: right;
}

.waveOrnamentSmall{
    height: 40px;
    width: calc(100% + 20px);
    transform: translateX(-10px);
}

.waveOrnamentHuge{
    height: 40px;
    width: calc(100% + 20px);
    transform: translateX(-10px);
}

.expandingMenu{
    display: none;
}

#backButtonHolder{
    text-align: right;
    padding: 0 .5em;
}

.customSearchedResult{
    border: 1px solid black;
    width: 355px;
    border-radius: 1em;
    margin-top: .2em;
    position: absolute;
    background-color: #fff;
    display: none;
    flex-direction: column;
    text-align: left;
    padding: 0.5em;
    max-height: 400px;
    overflow: auto;
}

.foundRecord{
    cursor: pointer;
    display: flex;
    flex-direction: row;
    margin-bottom: .5em;
}

.aboutSectionHolder{
    display: flex;
    flex-direction: row;
    padding: 3em 5em;
    flex-wrap: wrap;
}

.aboutBanner{
    background-color: #19a0dc;
    color: #fdfdfd;
    background-image: url(../../photos/aboutBanner.png);
    background-size: 55%;
    background-repeat: no-repeat;
    background-position: 95% center;
    padding: 8em 0 8em 10em;
}

.aboutHeader{
    font-size: 100px;
}

.fundationIcons{
    display: flex;
    flex-direction: row;
}

.aboutLogoHolder{
    flex: 40%;
    display: flex;
    justify-content: center;
    order: 1;
}

.rightLogoHolder{
    flex: 40%;
    display: flex;
    justify-content: center;
    order: 2;
    border-radius: 1em;
}

.aboutWiatrakDescription{
    flex: 60%;
    text-align: left;
    order: 2;
    padding: 0 2em;
    justify-content: center;
    display: flex;
    flex-direction: column;
}

.fundationIcons{
    margin: 2em auto;
    width: fit-content;
    display: flex;
    gap: 2em;
    align-items: center;
    flex-wrap: wrap;
}

.singleFundationIcon{
    flex: 20%;
    display: flex;
    flex-direction: column;
    text-align: center;
}

.minialIcon{
    height: 55px;
    aspect-ratio: 2/1;
    margin-bottom: 1em;
}

.quotaHolder{
    text-align: center;
    padding: 5em 10em;
    flex-direction: column;
}

.aboutPhoto{
    width: 80%; 
    margin: auto;
    border-radius: 1em;
}

.additionalDocuments{
    text-align: center;
    padding: 5em 10em;
    flex-direction: row;
}

.documentQuota{
    flex: 50%;
    flex-direction: column;
    padding: 1em 2em;
    color: white;
    font-weight: 700;
    border-right: 2px solid white;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.documentQuota:last-child{
    border: none;
}

.reportSection{
    width: 80%;
    display: flex;
    flex-direction: column;
    text-align: center;
    margin: auto;
}

.documentsHolder{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

.reportHolder{
    flex: 50%;
    text-align: center;
}

.reports{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    padding: 2em;
    gap: .7em;
    text-align: center;
    justify-content: center;
}

.singleReportHolder{
    border: 1px solid lightgray;
    padding: .3em 0;
    border-radius: 2em;
    cursor: pointer;
    flex: calc(20% - 1em);
    flex-grow: 0;
    box-shadow: 0 0 7px lightgray;
}

.dedicatedParagraph{
    font-size: 18px;
    line-height: 1.8em;
}

ol li{
    line-height: 1.5em;
    font-size: 18px;
}

.klauzula{
    padding: 0 1em;
}

.blurHolder{
    width: 100%;
    height: 100%;
    background-color: rgba(40, 40, 40, 0.6);
    display: flex;
    position: fixed;
    top: 0;
    z-index: 100;
    justify-content: center;
}

.photoPreviewHolder{
    height: 80%;
    justify-content: center;
    display: flex;
    transform: translateY(20%);
}

.photoPreview{
    height: 80%;
}

.submitHolder{
    display: flex;
    justify-content: end;
}

.creationForm{
    display: flex;
    flex-direction: column;
    gap: 2em;
}

.questionHolder{
    border-left: 2px solid black;
    padding: 0 0 1em 2em;
}

.formInputsRC{
    margin: 0 .5em .5em 0;
}

.mandatoryInputHolder{
    display: flex;
    flex-direction: row;
    gap: 1em;
}

.mandatoryBox{
    display: flex;
    flex-direction: column;
    flex: calc(50% - .5em);
}

.modalHolder{
    position: sticky;
    top: 0;
    z-index: 101;
}

.customModalHolder{
    display: flex;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: rgba(253,253,253,1);
    border-radius: 1em;
    padding: 2em 1em;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    box-shadow: 0 0 5px rgb(40, 40, 40);
    width: 30%;
}

.hiddenDropdown{
    border: 1px solid black;
    position: absolute;
    left: 9%;
    top: 96%;
    background-color: #fff;
    width: 280px;
    max-height: 400px;
    overflow: auto;
    border-radius: .5em;
    padding: .5em;
    visibility: hidden;
    opacity: 0;
    flex-direction: column;
    transition: opacity 300ms ease, height 300ms ease;
}

.projectHolder{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

.leftPane, .rightPane{
    flex: 50%;
    padding: 0 3em;
    display: flex;
    flex-direction: column;
    align-self: center;
}

.allContactHolder{
    display: flex;
    flex-direction: row;
    gap: 1em;
    flex-wrap: wrap;
}

.contactHolder{
    border: 1px solid lightgray;
    flex: calc(50% - .5em);
    padding: .5em 1em;
    border-radius: 1em;
    box-shadow: 0 0 10px lightgray;
    flex-grow: 0;
}

.singlePhotoHolder{
    flex: 100%;
    flex-shrink: 0;
    box-sizing: border-box;
    display: flex;
    justify-content: center;
}

.projectPhoto{
    width: 70%;
}

.singleProjectPartnerHolder{
    display: flex;
    border: 1px solid lightgray;
    border-radius: 1em;
    box-shadow: 0 0 5px lightgray;
    cursor: pointer;
    flex: calc(50% - .5em);
    flex-grow: 1;
    flex-grow: 0;
}

.singleProjectHolder{
    cursor: pointer;
    border-bottom: 1px solid lightgrey;
}

.singleProjectHolder:last-child{
    border-bottom: none;
}

.tmpProjectSection{
    display: none;
    flex-direction: column;
    padding: 0 0 0 1em;
}

.phoneNumber{
    margin-left: 1.5em;
}

.phoneNumber::before{
    content: "";
    position: absolute;
    background-image: url("../../icons/phoneIcon.png");
    background-size: contain;
    background-repeat: no-repeat;
    width: 16px;
    height: 16px;
    transform: translate(-22px, 4px);
}

.emailText{
    margin-left: 2em;
}

.emailText::before{
    content: "";
    position: absolute;
    background-image: url("../../icons/mailIcon.png");
    background-size: contain;
    background-repeat: no-repeat;
    width: 25px;
    height: 16px;
    transform: translate(-31px, 5px);
}

.dropdownProject{
    cursor: pointer;
    color: #0098d7;
}

.overlayBlocker{
    position: fixed;
    z-index: 100;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.1);
}

.cookiesModalBody{
    width: 70%;
    position: fixed;
    bottom: 1em;
    right: 2em;
    background-color: #fff;
    z-index: 101;
    border: 1px solid black;
    border-radius: 1em;
    padding: .5em 1em .5em 3em;
    display: flex;
    flex-direction: row;
    gap: 3em;
    align-items: center;
}

@media screen and (max-width: 575px){
    .menuHolder{
        padding: 0 0 1em 0;
    }

    .expandingMenu{
        display: block;
        width: 45px;
        aspect-ratio: 1/1;
        padding: .7em 1em .7em 0;
        margin-top: .9em;
    }

    #buttonsMenu{
        display: none;
        padding: 1em 0 0 0;
    }

    .socialMedia{
        display: none;
    }

    .menuElements li::after{
        content: "";
        pointer-events: none;
    }

    .menuElements li::before{
        content: "|";
        position: absolute;
        transform: translate(-10px, -2px);
        pointer-events: none;
    }

    .menuElements li{
        float: none;
        padding: .7em 0;
    }

    .cardLimiter{
        width: 100%;
    }

    .currentEventCard{
        width: 103%;
        height: max-content;
    }

    .photoHolder{
        height: max-content;
    }

    .contentHolder{
        height: 75%;
    }

    .swipeBtn{
        height: 30px;
    }

    .footer{
        background-size: 210%;
    }

    .waveOrnamentSmall, .waveOrnamentHuge{
        height: 30px;
    }

    #backButtonHolder{
        padding: 1em 2em;
    }

    .mainContentHolder{
        padding: 0;
    }

    .poster{
        transform: none;
        width: 90%;
    }

    .posterDiv{
        text-align: center;
    }

    .partnerLogoHolder{
        width: 55%;
    }

    .relatedCard{
        flex: calc(50% - .5em);
        flex-grow: 0;
    }

    .numberSlider{
        margin: 2em 0 1em 0;
    }

    .divsHolder{
        flex-direction: column;
    }

    .leftDetailsDiv, .rightDetailsDiv{
        width: 100%;
    }

    .mainIconHolder{
        width: 100%;
        gap: .5em 4em;
    }

    .iconHolder{
        padding: 0;
        flex: 30%;
        flex-grow: 0;
    }

    .iconImage{
        height: 50px;
    }

    .offerSlider{
        font-size: 35px;
    }

    .insidesNumbers{
        align-self: center;
    }

    .archivedCard{
        display: flex;
        overflow: hidden;
    }

    .archivedArticlesHolder{
        flex-direction: column;
        gap: 1em;
    }

    .archivedPhotoHolder{
        width: 40%;
        display: flex;
    }

    .archivedContentHolder{
        margin: 0 .5em;
    }

    .relatedCardPhoto{
        width: 100%;
        object-fit: 100%;
    }

    .relatedPhotoHolder{
        width: 100%;
        height: 35%;
        overflow: hidden;
        display: flex;
        justify-content: center;
    }

    .customSearchedResult{
        left: 5px;
    }

    .aboutSectionHolder{
        padding: 2em 1em;
    }

    .aboutBanner{
        background-size: 70%;
        background-position: right center;
    }

    .aboutHeader{
        font-size: 50px;
    }

    .aboutWiatrakDescription{
        padding: 3em 0;
        flex: 100%;
    }

    .rightLogoHolder{
        order: 1;
    }

    .documentQuota{
        border-right: none;
        border-bottom: 2px solid white;
    }

    .reportSection{
        width: 100%;
    }

    .reports{
        padding: 2em 0;
    }

    .singleReportHolder{
        flex: calc(27% - 1em);
        flex-grow: 0;
    }

    .archiveCardPhoto{
        width: 100%;
        object-fit: cover;
        border-radius: 1em 0 0 1em;
    }

    .galleryPhotoHolder{
        flex: 97.5%;
        flex-shrink: 0;
        box-sizing: border-box;
    }

    .photoPreviewHolder{
        width: 80%;
    }

    .photoPreview{
        width: 100%;
        object-fit: scale-down;
    }

    .hiddenDropdown{
        position: unset;
        display: none;
        width: 90%;
        visibility: visible;
        opacity: 1;
        border: none;
        padding: 0;
    }

    #dropdownOffer::before {
        content: "▼";
        position: absolute;
        right: 5%;
        transform: translateY(50%);
    }

    .dropdownProject::before{
        content: "▼";
        position: absolute;
        right: 5%;
    }

    .rightPane{
        flex: 100%;
        padding: 0 1em;
    }

    .leftPane{
        padding: 1em 2em;
    }

    .projectPhoto{
        width: 100%;
    }

    .cookiesModalBody {
        width: 95%;
        padding: .5em 1em;
        flex-direction: column;
        margin: auto;
        left: 2.5%;
        top: 1%;
        gap: .5em;
        height: fit-content;
      }

      .contactHolder{
        flex: 100%;
      }

      .singleProjectPartnerHolder{
        flex: 100%;
        margin-bottom: 1em;
      }
}